# Project: Julia
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = Julia_private.res
OBJ  = main.o $(RES)
LINKOBJ  = main.o $(RES)
LIBS =  -L"C:/Program Files/GTK+ 2.10.6/lib" -L"lib" -mwindows -lmingw32 -lSDLmain -lSDL  -lSDL_ttf -lfmod  
INCS =  -I"C:/Program Files/GTK+ 2.10.6/include"  -I"C:/Program Files/GTK+ 2.10.6/include/atk-1.12.2"  -I"C:/Program Files/GTK+ 2.10.6/include/cairo-1.2.0"  -I"C:/Program Files/GTK+ 2.10.6/include/cairo-1.2.0/src"  -I"C:/Program Files/GTK+ 2.10.6/include/glib-2.12.4"  -I"C:/Program Files/GTK+ 2.10.6/include/glib-2.12.4/build"  -I"C:/Program Files/GTK+ 2.10.6/include/glib-2.12.4/glib"  -I"C:/Program Files/GTK+ 2.10.6/include/glib-2.12.4/gmodule"  -I"C:/Program Files/GTK+ 2.10.6/include/glib-2.12.4/gobject"  -I"C:/Program Files/GTK+ 2.10.6/include/glib-2.12.4/gthread"  -I"C:/Program Files/GTK+ 2.10.6/include/gtk+-2.10.6"  -I"C:/Program Files/GTK+ 2.10.6/include/gtk+-2.10.6/contrib"  -I"C:/Program Files/GTK+ 2.10.6/include/gtk+-2.10.6/gtk"  -I"C:/Program Files/GTK+ 2.10.6/include/gtk+-2.10.6/gdk"  -I"C:/Program Files/GTK+ 2.10.6/include/gtk+-2.10.6/gdk-pixbuf"  -I"C:/Program Files/GTK+ 2.10.6/include/gtk+-2.10.6/modules"  -I"C:/Program Files/GTK+ 2.10.6/include/libpng-1.2.8"  -I"C:/Program Files/GTK+ 2.10.6/include/libpng-1.2.8/contrib"  -I"C:/Program Files/GTK+ 2.10.6/include/pango-1.14.4"  -I"C:/Program Files/GTK+ 2.10.6/include/pango-1.14.4/modules"  -I"C:/Program Files/GTK+ 2.10.6/include/pango-1.14.4/pango"  -I"C:/Program Files/GTK+ 2.10.6/include/tiff-3.7.4"  -I"C:/Program Files/GTK+ 2.10.6/include/tiff-3.7.4/libtiff"  -I"C:/Program Files/GTK+ 2.10.6/lib/glib-2.12.3/include"  -I"C:/Program Files/GTK+ 2.10.6/lib/gtk+-2.10.3/include" 
CXXINCS =  -I"lib/gcc/mingw32/3.4.2/include" 
BIN  = Julia.exe
CXXFLAGS = $(CXXINCS)  
CFLAGS = $(INCS)  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before Julia.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "Julia.exe" $(LIBS)

main.o: main.cpp
	$(CPP) -c main.cpp -o main.o $(CXXFLAGS)

Julia_private.res: Julia_private.rc 
	$(WINDRES) -i Julia_private.rc --input-format=rc -o Julia_private.res -O coff 
